Fetch
Get a fetch
Retrieves a fetch by its ID.
curl -X GET "https://api.fetchmedia.io/v1/fetch/123e4567-e89b-12d3-a456-426614174000" \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY"
import requests
import json
url = "https://api.fetchmedia.io/v1/fetch/123e4567-e89b-12d3-a456-426614174000"
headers = {
"Content-Type": "application/json",
"X-API-KEY": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.fetchmedia.io/v1/fetch/123e4567-e89b-12d3-a456-426614174000", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-KEY": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
)
func main() {
req, err := http.NewRequest("GET", "https://api.fetchmedia.io/v1/fetch/123e4567-e89b-12d3-a456-426614174000", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-KEY", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.fetchmedia.io/v1/fetch/123e4567-e89b-12d3-a456-426614174000')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-KEY'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"url": "https://www.youtube.com/watch?v=93npkPcQIzA",
"status": "pending | running | success | failed",
"download_url": "https://api.fetchmedia.io/v1/fetch/123e4567-e89b-12d3-a456-426614174000/output.mp4",
"error": "An error occurred while fetching the file."
}
GET
/fetch/{id}GET
API Key (header: X-API-KEY)
X-API-KEYstring
RequiredAPI key (sent in header)
API Key (query: key)
keystring
RequiredAPI key (sent in query)
path
idstring
RequiredFormat: uuid
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-KEYstring
RequiredAPI Key for authentication. Provide your API key in the header.
query
keystring
RequiredAPI Key for authentication. Provide your API key in the query.
Path Parameters
Responses
idstring
The ID of the fetch.
urlstring
The URL that was fetched.
statusstring
The status of the fetch.
download_urlstring
The URL to download the fetched file.
errorstring
The error message if the fetch failed.
Was this page helpful?
Last updated Feb 20, 2026
Built with Documentation.AI